Skip to main content
GET
/
schedule
/
v1
/
worked-holidays
List Worked Holidays
curl --request GET \
  --url https://api-{region}.sesametime.com/schedule/v1/worked-holidays \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "comment": "<string>",
      "compensatedDayOffViews": {
        "date": "2020-01-01",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "holidayDayOffView": {
        "date": "2020-01-01",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Query Parameters

employeeId
string<uuid>
required

The id of the employee

from
string<date>
required

Y-m-d

to
string<date>
required

Y-m-d

limit
integer
default:20

Limit worked holidays

page
integer

Request a specific page

Response

200 - application/json

Array of Objects

data
object[]
meta
object